io.undertow.security.handlers

## Class AbstractSecurityContextAssociationHandler

- java.lang.Object
- - io.undertow.security.handlers.AbstractSecurityContextAssociationHandler

All Implemented Interfaces:
  HttpHandler

Direct Known Subclasses:
  SecurityInitialHandler

    public abstract class AbstractSecurityContextAssociationHandler
    extends Object
    implements HttpHandler

Base class responsible for associating the `SecurityContext` instance with the current request.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
`protected` `AbstractSecurityContextAssociationHandler(HttpHandler next)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract SecurityContext` `createSecurityContext(HttpServerExchange exchange)`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractSecurityContextAssociationHandler

    protected AbstractSecurityContextAssociationHandler(HttpHandler next)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`
See Also:
  `HttpHandler.handleRequest(io.undertow.server.HttpServerExchange)`

#### createSecurityContext

    public abstract SecurityContext createSecurityContext(HttpServerExchange exchange)